Authenticator app
Start Authenticator App Enrollment
Enroll a new authenticator app authenticator for a user
POST
/
user-authenticators
/
totp
Start Authenticator App Enrollment
curl --request POST \
--url https://api.authsignal.com/v1/client/user-authenticators/totp \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.authsignal.com/v1/client/user-authenticators/totp"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.authsignal.com/v1/client/user-authenticators/totp', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"userAuthenticatorId": "<string>",
"userId": "<string>",
"uri": "<string>",
"secret": "<string>"
}{
"error": "<string>",
"errorDescription": "<string>"
}{
"error": "<string>",
"errorDescription": "<string>",
"errorCode": "<string>"
}{
"error": "<string>",
"errorDescription": "<string>"
}Authorizations
Use a short-lived token obtained from the Server API's Track Action endpoint. The token is valid for 10 minutes and should be passed in the Authorization header as 'Bearer {token}'.
Response
OK
The ID of the TOTP authenticator which has been created but not yet verified.
A URI which can be converted into a QR code and scanned by an authenticator app.
A secret which can be manually entered into an authenticator app. Typically presented as a backup option if the user is unable to scan the QR code.
Was this page helpful?
⌘I
Start Authenticator App Enrollment

